Package ghidra.program.model.util

# Interface AddressSetPropertyMap

All Known Implementing Classes:
  `AddressSetPropertyMapDB`

public interface AddressSetPropertyMap
Defines methods to mark ranges in a property map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address start, Address end)`
  Add the address range to the property map.
  `void`
  `add(AddressSetView addressSet)`
  Add the address set to the property map.
  `void`
  `clear()`
  Clear the property map.
  `boolean`
  `contains(Address addr)`
  Return whether the property map contains the given address.
  `AddressIterator`
  `getAddresses()`
  Return an address iterator over the property map.
  `AddressRangeIterator`
  `getAddressRanges()`
  Return an address range iterator over the property map.
  `AddressSet`
  `getAddressSet()`
  Return the address set for the property map.
  `void`
  `remove(Address start, Address end)`
  Remove the address range from the property map.
  `void`
  `remove(AddressSetView addressSet)`
  Remove the address set from the property map.
  `void`
  `set(AddressSetView addressSet)`
  Clear the property map and set it with the given address set.

- ## Method Details

  - ### add

    void add(Address start, Address end)
    Add the address range to the property map.
    Parameters:
      `start` - start of the range
      `end` - end of the range

  - ### add

    void add(AddressSetView addressSet)
    Add the address set to the property map.
    Parameters:
      `addressSet` - address set to add

  - ### set

    void set(AddressSetView addressSet)
    Clear the property map and set it with the given address set.
    Parameters:
      `addressSet` - address set to use

  - ### remove

    void remove(Address start, Address end)
    Remove the address range from the property map.
    Parameters:
      `start` - start of the range
      `end` - end of the range

  - ### remove

    void remove(AddressSetView addressSet)
    Remove the address set from the property map.
    Parameters:
      `addressSet` - address set to remove

  - ### getAddressSet

    AddressSet getAddressSet()
    Return the address set for the property map.

  - ### getAddresses

    AddressIterator getAddresses()
    Return an address iterator over the property map.

  - ### getAddressRanges

    AddressRangeIterator getAddressRanges()
    Return an address range iterator over the property map.

  - ### clear

    void clear()
    Clear the property map.

  - ### contains

    boolean contains(Address addr)
    Return whether the property map contains the given address.
    Parameters:
      `addr` - address to check